# Function getVaaWithRetry

- getVaaWithRetry<T>(apiUrl, whm, decodeAs, timeout): Promise<ReturnType<typeof deserialize> | null>

- #### Type Parameters

  - #### T extends PayloadLiteral | PayloadDiscriminator

  #### Parameters

  - ##### apiUrl: string

  - ##### whm: WormholeMessageId

  - ##### decodeAs: T

  - ##### timeout: number

  #### Returns Promise<ReturnType<typeof deserialize> | null>

  - Defined in connect/src/whscan-api.ts:173

Generated using TypeDoc